Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  acad2000i-->Layerfilter

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   acad2000i-->Layerfilter (2184 mal gelesen)
benwisch
Mitglied
Bautechniker, CAD-Konstrukteur


Sehen Sie sich das Profil von benwisch an!   Senden Sie eine Private Message an benwisch  Schreiben Sie einen Gästebucheintrag für benwisch

Beiträge: 375
Registriert: 01.02.2001

Autocad 2005-2010
Microstation V8
Photoshop CS4 + Camera Raw
Nikon Capture NX2
Nikon D90

erstellt am: 14. Feb. 2002 15:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

gibt es eine möglichkeit, benannte layerfilter mit einem rutsch zu löschen. unsere dwg-dateien gehen durch viele rechner, jeder fügt einen benannten layerfilter zu. für meine erstellung von schalplänen ist das ziemlich nervend, im layerfenster unter layerfilter, jeden einzelnen zu löschen (viel klickarbeit). ich möchte gerne nur meine eigenen verwenden und mich verwirren die unzähligen einträge nur.


------------------
Manchmal denke ich, der beste Beweis dafür, daß es anderswo im Universum intelligentes Leben gibt, ist der, daß noch keiner versucht hat, Kontakt mit uns aufzunehmen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 14. Feb. 2002 21:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

Hi Benwisch,
klar geht das:
[Das C[Doppelpunkt] wird hier "gefressen". Ich ersetze das mal eben durch den Text. Bitte im Lisp-COde dann wieder in den Doppelpunkt ändern]
Code:

(DEFUN C[Doppelpunkt]DELFIL ()
  (progn (vl-load-com)
  (defun ax:GetAcadLayerFilterDictionary (/ dict)
    (setq dict (member
                (cons 3 "ACAD_LAYERFILTERS")
(entget
  (vlax-vla-object->ename
                  (vla-GetExtensionDictionary
                    (vla-get-layers
                    (vla-get-ActiveDocument (vlax-get-acad-object))
                    )
                  )
                  )
                )
                )
              )
    (if dict (cdr (assoc 360 dict)) nil))
    (entdel (ax:GetAcadLayerFilterDictionary))
    )
)

Tested with R2000i.

Wie Du's Lisp einbinden kannst weißt Du ja.
Ciao,
Marc

[Diese Nachricht wurde von marc.scherer am 14. Februar 2002 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Thomas Rausch
Mitglied



Sehen Sie sich das Profil von Thomas Rausch an!   Senden Sie eine Private Message an Thomas Rausch  Schreiben Sie einen Gästebucheintrag für Thomas Rausch

Beiträge: 1199
Registriert: 26.03.2001

Intel P4 2,6 GHz
512 MB RAM
NVIDIA GeForce FX 5200
.
WinXP prof.
Autodesk Map 2004 SP 1
WS-Landcad 2004
.
Tetris

erstellt am: 15. Feb. 2002 07:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

Hallo Marc,
dasselbe Problem gibt es beim Layermanager der Expresstools
ich habe Zeichnungen mit dutzenden Layerständen, kopiere ich mir aus einer solchen Zeichnung ein Objekt, bin ich minutenlang mit Löschen beschäftigt
hast du dafür auch eine Lösung?

------------------
gruß
thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 15. Feb. 2002 08:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

Hi Thomas,
klar hab' ich...
(Für den [DOPPELPUNKT] weißt Du ja was zu tun ist, oder?)
Code:

(defun C[DOPPELPUNKT]KILLSTATES (/ LYR ENT EINGABE)
  (initget "Ja Nein")
  (setq EINGABE
(getkword
  "\nLöschen aller vom Layer-Manager erstellten Layerstati dieser Zeichnung!\nWollen Sie dies wirklich tun? [Ja/Nein] <Nein>: "
) ;_ end of getkword
  ) ;_ end setq
  (if (not EINGABE)
    (setq EINGABE "Nein")
  ) ;_ end if
  (if (eq EINGABE "Ja")
    (progn
      (while (setq LYR (tblnext "layer" (not LYR)))
(setq ENT
      (entget (tblobjname "layer" (cdr (assoc 2 LYR))) '("RAK"))
) ;_ end of setq
(if (and ENT (assoc -3 ENT))
  (progn (setq ENT (subst '(-3 ("RAK")) (assoc -3 ENT) ENT))
(entmod ENT)
  ) ;_ end of progn
) ;_ end of if
      ) ;_ end of while
    ) ;_ end of progn
    (princ "\nDann eben nicht...")
  ) ;_ end of if
  (princ)
) ;_ end of defun

Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Thomas Rausch
Mitglied



Sehen Sie sich das Profil von Thomas Rausch an!   Senden Sie eine Private Message an Thomas Rausch  Schreiben Sie einen Gästebucheintrag für Thomas Rausch

Beiträge: 1199
Registriert: 26.03.2001

Intel P4 2,6 GHz
512 MB RAM
NVIDIA GeForce FX 5200
.
WinXP prof.
Autodesk Map 2004 SP 1
WS-Landcad 2004
.
Tetris

erstellt am: 15. Feb. 2002 09:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

Hallo Marc,
na so was,
hat ja wirklich funktioniert

Danke!

------------------
gruß
thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

benwisch
Mitglied
Bautechniker, CAD-Konstrukteur


Sehen Sie sich das Profil von benwisch an!   Senden Sie eine Private Message an benwisch  Schreiben Sie einen Gästebucheintrag für benwisch

Beiträge: 375
Registriert: 01.02.2001

erstellt am: 15. Feb. 2002 09:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hi marc....
meister !!!

enspricht genau meinem wunsch.....übrigens gilt auch für den post von thomas rausch.....also ist das zweite listing auch äußerst hilfreich.

beim ersten listing bekomme ich noch ein wenig bauchweh, denn ich erkenne VBA.....und da happert's bei mir noch SEHR.....(nicht lachen -->handbuch-->gardenpath)

megadanke

------------------
Manchmal denke ich, der beste Beweis dafür, daß es anderswo im Universum intelligentes Leben gibt, ist der, daß noch keiner versucht hat, Kontakt mit uns aufzunehmen.

[Diese Nachricht wurde von benwisch am 15. Februar 2002 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 15. Feb. 2002 10:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

Hi Ben und Thomas,
@ Thomas:
Wieso:
"na so was,
hat ja wirklich funktioniert" ?
Ich hab' glaube ich noch nie was hier reingestellt was NICHT funktionierte. 

@ Ben:
"beim ersten listing bekomme ich noch ein wenig bauchweh, denn ich erkenne VBA....."
Nix VBA. Das ist die ActiveX-Extension von VisualLisp.
Don't be 
Ciao,
Marc

PS.: Habe gerne geholfen. Die Quelle der beiden Tools sind übrigens die Autodesk-Discussion-Groups. Das lohnt sich immer mal dort einen Blick reinzuwerfen. Dort sind die wahren Meister zu finden. Allen voran der Herr Tony Tanzillo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 15. Feb. 2002 12:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

Hai
hattest Du mich nicht schon vor 'n paar wochen danach gefragt?
Ich hab damals gleich eine Lispelei geuppt, einmal in Lisp und eine in Vlisp. Unter Layer.

------------------
Gruß
CADwiesel

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

benwisch
Mitglied
Bautechniker, CAD-Konstrukteur


Sehen Sie sich das Profil von benwisch an!   Senden Sie eine Private Message an benwisch  Schreiben Sie einen Gästebucheintrag für benwisch

Beiträge: 375
Registriert: 01.02.2001

erstellt am: 16. Feb. 2002 10:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@marc
jo...stimmt....hab ich glatt durcheinandergeworfen.....wg vl-add...usw. is für mich halt noch ein bisschen wirr...

@cadwiesel
wen meinst du denn....also ich kann mich nicht daran erinnern, daß ich das schon vor wochen gefragt hätte. trotzdem gut zu wissen, daß man bei dir auch sowas finden kann.

------------------
Manchmal denke ich, der beste Beweis dafür, daß es anderswo im Universum intelligentes Leben gibt, ist der, daß noch keiner versucht hat, Kontakt mit uns aufzunehmen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Thomas Rausch
Mitglied



Sehen Sie sich das Profil von Thomas Rausch an!   Senden Sie eine Private Message an Thomas Rausch  Schreiben Sie einen Gästebucheintrag für Thomas Rausch

Beiträge: 1199
Registriert: 26.03.2001

Intel P4 2,6 GHz
512 MB RAM
NVIDIA GeForce FX 5200
.
WinXP prof.
Autodesk Map 2004 SP 1
WS-Landcad 2004
.
Tetris

erstellt am: 16. Feb. 2002 14:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

@ cadwiesel
nein, es war ein anderer in einem anderen Forum.
aber da siehst du mal wieder, dass du mit deiner Seite viele Menschen glücklich machst
Schönes Wochende!

------------------
gruß
thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kurt Herbert
Mitglied
Dipl.Ing. Maschinenbau


Sehen Sie sich das Profil von Kurt Herbert an!   Senden Sie eine Private Message an Kurt Herbert  Schreiben Sie einen Gästebucheintrag für Kurt Herbert

Beiträge: 47
Registriert: 01.09.2001

erstellt am: 17. Feb. 2002 18:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

Hallo Marc, Hallo Benwisch,

habe mich an das DELFIL angehängt, aber es funktioniert bei mir nicht so recht. Also ich habe den code hier vom Forum kopiert - läßt sich auch erfolgreich laden - aber bringt bei Start mit "delfil" die Meldung: "Fehlerhafter Argumenttyp: lentityp nil". Ich habe sehr genau kontrolliert - habe keinen Fehler in der Übertragung gefunden. Muß ich noch irgendwo irgendeine Variable umstellen ??

Gruß Kurt Herbert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 18. Feb. 2002 08:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

Hi Kurt,
dann versuch mal dies hier:
Code:

(defun C[DOPPELPUNKT]DELFIL (/ DICT)
  (vl-load-com) ;_ ActiveX Extension laden
  (setq
    DICT (member
  (cons 3 "ACAD_LAYERFILTERS")
  (entget
    (vlax-vla-object->ename
      (vla-getextensiondictionary
(vla-get-layers
  (vla-get-activedocument (vlax-get-acad-object))
) ;_ end vla-get-layers
      ) ;_ end vla-GetExtensionDictionary
    ) ;_ end vlax-vla-object->ename
  ) ;_ end entget
) ;_ end member
  ) ;_ end setq
  (if DICT
    (progn
      (entdel (cdr (assoc 360 DICT)))
      (princ "\nOK, benannte Layerfilter gelöscht!")
    ) ;_ end progn
    (princ "\nKeine benannten Layerfilter vorhanden.")
  ) ;_ end if
  (princ)
) ;_ end DEFUN


Damit sollte es gehen.
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

benwisch
Mitglied
Bautechniker, CAD-Konstrukteur


Sehen Sie sich das Profil von benwisch an!   Senden Sie eine Private Message an benwisch  Schreiben Sie einen Gästebucheintrag für benwisch

Beiträge: 375
Registriert: 01.02.2001

erstellt am: 18. Feb. 2002 12:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von Kurt Herbert:
Hallo Marc, Hallo Benwisch,

habe mich an das DELFIL angehängt, aber es funktioniert bei mir nicht so recht. Also ich habe den code hier vom Forum kopiert - läßt sich auch erfolgreich laden - aber bringt bei Start mit "delfil" die Meldung: "Fehlerhafter Argumenttyp: lentityp nil". Ich habe sehr genau kontrolliert - habe keinen Fehler in der Übertragung gefunden. Muß ich noch irgendwo irgendeine Variable umstellen ??

Gruß Kurt Herbert



hallo kurt,
diese Fehlermeldung kommt nur dann, wenn es keine benannten layerfilter gibt, also liste leer !!!

@marc

hab's zwar mal versucht, das selbst zu lösen....naja null erfolg...
auch von mir nochmal danke !!

------------------
Manchmal denke ich, der beste Beweis dafür, daß es anderswo im Universum intelligentes Leben gibt, ist der, daß noch keiner versucht hat, Kontakt mit uns aufzunehmen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PzB
Mitglied



Sehen Sie sich das Profil von PzB an!   Senden Sie eine Private Message an PzB  Schreiben Sie einen Gästebucheintrag für PzB

Beiträge: 19
Registriert: 12.11.2003

AC2005 (deu)
WXP (prof)
HP750C+
P4-2.4GHz
1GB RAM
Wildcat VP880Pro

erstellt am: 09. Jan. 2004 13:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

Hallo zusammen,

ich habe das LISP von www.cadwiesel.de heruntergeladen und bin begeistert.

Besteht die Möglichkeit einen LAYERFILTER bestehen zu lassen bzw. nach dem löschen über das lisp-Programm zu definieren?


------------------
Gruss Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bogie b
Mitglied



Sehen Sie sich das Profil von bogie b an!   Senden Sie eine Private Message an bogie b  Schreiben Sie einen Gästebucheintrag für bogie b

Beiträge: 19
Registriert: 04.07.2006

AutoCad 2002 LT
Win XP
HP xw4300 Workstation
2,00 GB RAM
Pentium 3.4 GHZ

erstellt am: 04. Jul. 2006 13:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

hallo leute,

ich hab folgendes problem...
arbeite mit 2002 LT und wollte dieses lisp-programm (DELLAYERFILTER.lisp von CAD-Wiesel) nutzen da langsam sehr viele zeichnungen mit den layerfiltern vermüllt sind.
nun weiß ich ja dass bei LT kein lisp zu verfügung steht also habe ich mir diesen LT-Extender 2000 geholt welches laut beschreibung lisp-anwendungen auch unter LT möglich macht. Ich habe dieses tool auch installiert ... augenscheinlich erfolgreich.

dann dellayerfilter.lsp geladen... soweit auch geklappt
aber wenn ich jetzt den befehl "dellayerfilter" (so war des auf ner Autocad vollversion) eingebe kommt folgende Meldung:

Befehl: dellayerfilter
; Fehler: no function definition: VLAX-GET-ACAD-OBJECT

kann mir jemand vielleicht weiterhelfen??

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 04. Jul. 2006 13:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

achte mal mehr auf deine Befehlszeile/Textfenster(F2)
Acad redet mit dir 

Versuch mal die Funktion "RemLayerfilters" aufzurufen !
(Extender kann/konnte kein VLisp)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 04. Jul. 2006 13:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

VLAX-GET-ACAD-OBJECT weißt auf die Nutzung der ActivX-Schnittstelle hin, und die unterstützt der Extender (IMHO noch) nicht.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 04. Jul. 2006 13:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

oder du hast eine andere Version ?
Hast du das Lisp welches gerade aktuell bei CADwiesel zu
finden ist ?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bogie b
Mitglied



Sehen Sie sich das Profil von bogie b an!   Senden Sie eine Private Message an bogie b  Schreiben Sie einen Gästebucheintrag für bogie b

Beiträge: 19
Registriert: 04.07.2006

AutoCad 2002 LT
Win XP
HP xw4300 Workstation
2,00 GB RAM
Pentium 3.4 GHZ

erstellt am: 04. Jul. 2006 13:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

gibt es villeicht ne andere lösung für mich um alle layerfilter auf einmal zu löschen?? evtl. eine andere lisp-anwendung ohne activX-schnittstelle oder so??

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bogie b
Mitglied



Sehen Sie sich das Profil von bogie b an!   Senden Sie eine Private Message an bogie b  Schreiben Sie einen Gästebucheintrag für bogie b

Beiträge: 19
Registriert: 04.07.2006

AutoCad 2002 LT
Win XP
HP xw4300 Workstation
2,00 GB RAM
Pentium 3.4 GHZ

erstellt am: 04. Jul. 2006 13:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

lisp hab ich von CADwiesel vor ca 3 wochen "gedownloaded" ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 04. Jul. 2006 14:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

na probiers mal mit der LT'variante :

(defun C:RemoveLFilter (/ DUMMY FILTERS)
  (if(and (setq DUMMY (entget (tblobjname "LAYER" "0")))
          (setq DUMMY (cdr (assoc 330 DUMMY)))
          (setq DUMMY (entget DUMMY))         
          (setq DUMMY (cdr(assoc 360 DUMMY)))         
          (setq DUMMY (entget DUMMY))
          (setq DUMMY (member '(3 . "ACAD_LAYERFILTERS")DUMMY))
          (setq DUMMY (cdr(assoc 360 DUMMY)))
          (setq DUMMY (entget DUMMY))
    )   
    (foreach DICT DUMMY
      (if (= (car DICT) 350) (entdel (cdr DICT)))           
    )         
  ) 
  (princ)
)

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bogie b
Mitglied



Sehen Sie sich das Profil von bogie b an!   Senden Sie eine Private Message an bogie b  Schreiben Sie einen Gästebucheintrag für bogie b

Beiträge: 19
Registriert: 04.07.2006

AutoCad 2002 LT
Win XP
HP xw4300 Workstation
2,00 GB RAM
Pentium 3.4 GHZ

erstellt am: 04. Jul. 2006 15:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

ähm.. suppi danke... aber ich kann leider nix mit diesen zeilen anfangen :-S sorry bin unwissend.
ist das irgend ein lisp Code oder was muss ich jetzt daimt machen??
PS: ich hab auch keine ahnung von lisp-prgrammierung ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 04. Jul. 2006 15:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

na und was haste mit dem Teil von CADwiesel gemacht??? .. auf alle Fälle guck mal beim FAQ nach.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bogie b
Mitglied



Sehen Sie sich das Profil von bogie b an!   Senden Sie eine Private Message an bogie b  Schreiben Sie einen Gästebucheintrag für bogie b

Beiträge: 19
Registriert: 04.07.2006

AutoCad 2002 LT
Win XP
HP xw4300 Workstation
2,00 GB RAM
Pentium 3.4 GHZ

erstellt am: 04. Jul. 2006 16:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

nun ich habe da ja ne fertige lisp datei runtergeladen ;-)
mir war nicht bekannt dass lisp programme anscheinend im prinzip simple "textdaien" sind ;-)

nun hab ich aber die anweisungen befolgt und lisp scheint auch geladen zu sein... aber nach befehlseingabe passiert nix :-(

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 04. Jul. 2006 16:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

was erwartest du denn ... ??? Irgentwelchen grafischen Schickschnak? (->Dafür sind die Profis zuständig)  Sind nach Befehlsaufruf die Layerfilter nun noch da oder nicht?

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 04. Jul. 2006 16:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

bei mir steht da:
Befehl: (LOAD "C:/Swap/DELLAYERFILTER.lsp")
DELLAYERFILTER zum starten
nil
Befehl: dellayerfilter
0 Layerfilter gelöscht
Befehl:

und bei dir?
Vielleicht mal F2 drücken und aus der Befehlszeile lesen.

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bogie b
Mitglied



Sehen Sie sich das Profil von bogie b an!   Senden Sie eine Private Message an bogie b  Schreiben Sie einen Gästebucheintrag für bogie b

Beiträge: 19
Registriert: 04.07.2006

AutoCad 2002 LT
Win XP
HP xw4300 Workstation
2,00 GB RAM
Pentium 3.4 GHZ

erstellt am: 04. Jul. 2006 17:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

nun ich erwarte eigentlich nur dass die layerfilter gelöscht werden!!
"passiert nix" <--- layerfilter werden nicht gelöscht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bogie b
Mitglied



Sehen Sie sich das Profil von bogie b an!   Senden Sie eine Private Message an bogie b  Schreiben Sie einen Gästebucheintrag für bogie b

Beiträge: 19
Registriert: 04.07.2006

AutoCad 2002 LT
Win XP
HP xw4300 Workstation
2,00 GB RAM
Pentium 3.4 GHZ

erstellt am: 04. Jul. 2006 17:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

hast du CADmiums code mit dem LT-Extender verwendet??
wie gesagt bei mir funktioniert es nicht.


Zitat:
Original erstellt von CADwiesel:
bei mir steht da:
Befehl: (LOAD "C:/Swap/DELLAYERFILTER.lsp")
DELLAYERFILTER zum starten
nil
Befehl: dellayerfilter
0 Layerfilter gelöscht
Befehl:

und bei dir?
Vielleicht mal F2 drücken und aus der Befehlszeile lesen.


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 05. Jul. 2006 08:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

ok nu iss alles klar

hier der Kot 4 free und alle
Ist ohne VL und läuft ab Autocad 2000 / 2000 LT (mit Extender)

Code:
(defun C:RemoveLFilter (/ DUMMY FILTERS dict filtercode)
  (if(>(substr (getvar "acadver") 1 2)"15")
    (setq filtercode 350)
    (setq filtercode 360)
    )
  (if (and (setq DUMMY (entget (tblobjname "LAYER" "0")))
          (setq DUMMY (cdr (assoc 330 DUMMY)))
          (setq DUMMY (entget DUMMY))
          (setq DUMMY (cdr (assoc 360 DUMMY)))
          (setq DUMMY (entget DUMMY))
          ) ;_ ende von and
    (progn
      (if (setq DUMMYF (member '(3 . "ACAD_LAYERFILTERS") DUMMY))
        (progn
          (setq DUMMYF (cdr (assoc 360 DUMMYF)))
          (setq DUMMYF (entget DUMMYF))
          (foreach DICT DUMMYF
            (if (= (car DICT) filtercode)
              (entdel (cdr DICT))
              ) ;_ ende von if
            ) ;_ ende von foreach
          ) ;_ ende von progn
        ) ;_ ende von if
      (if (setq DUMMYD (member '(3 . "ACLYDICTIONARY") DUMMY))
        (progn
          (setq DUMMYD (cdr (assoc 360 DUMMYD)))
          (setq DUMMYD (entget DUMMYD))
          (foreach DICT DUMMYD
            (if (= (car DICT) filtercode)
              (entdel (cdr DICT))
              ) ;_ ende von if
            ) ;_ ende von foreach
          ) ;_ ende von progn
        ) ;_ ende von if
      ) ;_ ende von progn
    ) ;_ ende von if
  (princ)
  )

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 05. Jul. 2006 09:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

@Cadwiesel : schön das du verschiedene ACAD-Versionen (mit ihren spezifischen Speicherorten) berücksichtigt und den Code entsprechend erweitert hast. Ich konnte meins gestern leider bloß auf 2004 testen .. da mach ich doch mal n 10'er locker    ... kannst sie ja bei deinem 1200Post-Jubiläum gleich wieder ausgeben..


------------------
      - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bogie b
Mitglied



Sehen Sie sich das Profil von bogie b an!   Senden Sie eine Private Message an bogie b  Schreiben Sie einen Gästebucheintrag für bogie b

Beiträge: 19
Registriert: 04.07.2006

AutoCad 2002 LT
Win XP
HP xw4300 Workstation
2,00 GB RAM
Pentium 3.4 GHZ

erstellt am: 05. Jul. 2006 09:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für benwisch 10 Unities + Antwort hilfreich

Suppiii... man bedankt sich vielmals! *verbeug*
Funktioniert einwandfrei!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz